limit = int(input('Podaj limit: '))

podzielne3 = set()
podzielne5 = set()

for i in range(1, limit+1):
    if i % 3 == 0:
        podzielne3.add(i)
    if i % 5 == 0:
        podzielne5.add(i)

print('Podzielne przez 3:', podzielne3)
print('Podzielne przez 5:', podzielne5)

print('Liczba podzielnych przez 3:', len(podzielne3))
print('Liczba podzielnych przez 5:', len(podzielne5))

print('\nLiczba podzielnych przez 3 lub 5:', len(podzielne3 | podzielne5))
print(podzielne3 | podzielne5)

print('\nLiczba podzielnych przez 3 i 5 jednocześnie:', len(podzielne3 & podzielne5))
print(podzielne3 & podzielne5)
